#include "../include/hal_lksmcu_dma.h"
#include "../include/hal_lksmcu_reg.h"
#include "hal_lks32mc09x.h"

// 初始化
// 模块复位
static uint8_t HAL_DMA_ena = 0;
void HAL_DMA_Reset(HAL_DMA_x DMA_x)
{
}
// 模块打开
void HAL_DMA_Enable(HAL_DMA_x DMA_x)
{
}
// 模块关闭
void HAL_DMA_Disable(HAL_DMA_x DMA_x)
{
}
// 内存复制
void HAL_DMA_MemCopy(HAL_DMA_x DMA_x, uint32_t *start, uint32_t *end, uint8_t len)
{
    int i;
    for (i = 0; i < len; i++)
    {
        end[i] = start[i];
    }
}
// dma使用uart发送数据，需要先初始化好对应的uart模块
void HAL_DMA_UartTx(HAL_DMA_x DMA_x, HAL_UART_x UART_x, uint8_t *start, uint32_t len)
{
}
// dma使用spi发送数据，需要先初始化好对应的spi模块
void HAL_DMA_SpiTx(HAL_DMA_x DMA_x, HAL_SPI_x SPI_x, uint8_t *start, uint32_t len)
{
}
// dma使用i2c发送数据，需要先初始化好对应的i2c模块
void HAL_DMA_I2cTx(HAL_DMA_x DMA_x, uint8_t *start, uint32_t len)
{
}
// dma使用uart发送数据，需要先初始化好对应的uart模块
void HAL_DMA_UartRx(HAL_DMA_x DMA_x, HAL_UART_x UART_x, uint8_t *start, uint32_t len)
{
}
// dma使用spi发送数据，需要先初始化好对应的spi模块
void HAL_DMA_SpiRx(HAL_DMA_x DMA_x, HAL_SPI_x SPI_x, uint8_t *start, uint32_t len)
{
}
// dma使用i2c发送数据，需要先初始化好对应的i2c模块
void HAL_DMA_I2cRx(HAL_DMA_x DMA_x, uint8_t *start, uint32_t len)
{
}
// 使用两个dma模块和一个spi模块，同时发送&接收数据，需要先初始化好对应的spi模块
void HAL_DMA_SpiRxTx(HAL_DMA_x DMA1_x, HAL_DMA_x DMA2_x, HAL_SPI_x SPI_x, uint8_t *start, uint32_t len)
{
}
